Ruby master - Bug #10269

Upgrade 2.1.2 to 2.1.3 fail
09/20/2014 06:08 AM - Sega100500 (Cepren E)

Status: Third Party's Issue
Priority: Normal
Assignee:

Target version:

ruby -v: ruby 2.1.2p95 (2014-05-08 revision Backport: 2.0.0: UNKNOWN, 2.1: UNKNOWN
45877) [x86_64-linux]

Description

Upgrade 2.1.2 to 2.1.3 fail
on Debian 7

log:

[2014-09-20 11:57:08] migrate_rubies_alias
migrate_rubies_alias ()

{
"$rvm_scripts_path/alias" delete "$migrate_alias_name";
"$rvm_scripts_path/alias" create "$migrate_alias_name" "
}
current path: /home/ruby

GEM_HOME=/home/ruby/.rvm/gems/ruby-2.1.2
PATH=/home/ruby/.rvm/gems/ruby-2.1.2/bin:/home/ruby/.rvm/gems/ruby-2.1.2@global/bin:/home/ruby/.rvm/rubies/ruby-2.1.2/bin:/usr
/local/bin:/us

r/bin:/bin:/usr/local/games:/usr/games:/home/ruby/.rvm/bin:/home/ruby/.rvm/bin
GEM_PATH=/home/ruby/.rvm/gems/ruby-2.1.2:/home/ruby/.rvm/gems/ruby-2.1.2@global

command(1): migrate_rubies_alias

$migrate_new_alias_name"

® /home/ruby/.rvm/scripts/alias delete ruby-2.1.3 .[82mDeleting alias: ruby-2.1.3.[0m|./.-..|./.-..].c-..| S-S em o) L - | -
¢ /home/ruby/.rvm/scripts/alias create ruby-2.1.3 default ruby-2.1.3 is a full ruby name and can not be used as alias name.

History

#1 - 09/20/2014 06:22 AM - normalperson (Eric Wong)

Sergey.V.Ezhov@gmail.com wrote:

ruby-2.1.3 is a full ruby name and can not be used as alias name.

This is an RVM problem, please see http:/rvm.io/ for help and
bug reporting options.

#2 - 09/20/2014 06:28 AM - hsbt (Hiroshi SHIBATA)
- Status changed from Open to Third Party's Issue
